/*
* ug-mobile-ap
*
* Copyright 2012  Samsung Electronics Co., Ltd

* Licensed under the Flora License, Version 1.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at

* http://www.tizenopensource.org/license

* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/


#ifndef __MH_STRING_H_
#define __MH_STRING_H_

#include "mobile_hotspot.h"

#ifdef S_
#undef S_
#endif
#define S_(str)			dgettext("sys_string", str)

#ifdef N_
#undef N_
#endif
#define N_(str)			gettext_noop(str)

#ifdef _
#undef _
#endif
#define _(str)			dgettext(MH_TEXT_DOMAIN, str)

#define STR_CONN_USB_CABLE		_("IDS_POPSYNC_BODY_CONNECT_YOUR_MOBILE_DEVICE_TO_THE_PC_VIA_USB_CABLE_T_HELP")
#define STR_NO_SHOW_AGAIN		("IDS_BR_OPT_DO_NOT_SHOW_AGAIN")
#define STR_TETH_ON_DESC_1		_("IDS_ST_BODY_WI_FI_NETWORK_WILL_BE_DISCONNECTED_TETHERING_CONSUMES_MORE_BATTERY_POWER_AND_INCREASES_YOUR_DATA_USAGE_THE_MAXIMUM_NUMBER_OF_TETHERED_DEVICES_ALLOWED_IS_PD")
#define STR_TETH_ON_DESC_2		_("IDS_ST_BODY_TETHERING_CONSUMES_MORE_BATTERY_POWER_AND_INCREASES_YOUR_DATA_USAGE_THE_MAXIMUM_NUMBER_OF_TETHERED_DEVICES_ALLOWED_IS_PD")
#define STR_TETH_ON_DESC_3		_("IDS_MOBILEAP_POP_TETHERING_CONSUMES_MORE_BATTERY_POWER_AND_INCREASES_YOUR_DATA_USAGE")
#define STR_TETH_ON_DESC_4		_("IDS_MOBILEAP_POP_ENABLING_USB_TETHERING_WILL_DISCONNECT_PREVIOUS_USB_CONNECTION")
#define STR_WIFI_AP_CONTROLLED_ANOTHER_APP		("IDS_MOBILEAP_BODY_TETHERING_IS_CURRENTLY_BEING_CONTROLLED_BY_ANOTHER_APPLICATION_TO_CONFIGURE_TETHERING_THAT_APPLICATION_WILL_BE_DISABLED")
#define STR_CLOSE_INTERNET_Q		("IDS_MOBILEAP_POP_DISABLING_TETHERING_WILL_PREVENT_LINKED_DEVICES_FROM_ACCESSING_THE_INTERNET_CONTINUE_Q")
#define STR_INSERT_SIM_TO_USE_TETH		("IDS_MOBILEAP_POP_INSERT_SIM_CARD_AND_RESTART_DEVICE_TO_USE_TETHERING")
#define STR_DISABLE_FLIGHT_MODE_MSG		("IDS_MOBILEAP_POP_UNABLE_TO_USE_TETHERING_IN_FLIGHT_MODE_TO_USE_TETHERING_DISABLE_FLIGHT_MODE")
#define STR_NO_DATA_SERVICE		("IDS_MOBILEAP_POP_UNABLE_TO_USE_PACKET_DATA_SERVICE_OUT_OF_COVERAGE")
#define STR_CONN_MOBILE_DATA_TO_USE_TETH	("IDS_ST_POP_TO_USE_TETHERING_CONNECT_TO_A_MOBILE_NETWORKS")
#define STR_NO_NET_CONN_MSG		("IDS_MSGC_POP_MOBILE_DATA_IS_DISABLED_ENABLE_MOBILE_DATA_AND_TRY_AGAIN")
#define STR_CONN_NET_TO_USE_TETH		_("IDS_MOBILEAP_POP_TO_ENABLE_THIS_TETHERING_FUNCTION_CONNECT_TO_A_MOBILE_OR_WI_FI_NETWORK")
#define STR_UNABLE_TO_USE_TETH		("IDS_MOBILEAP_POP_UNABLE_TO_USE_TETHERING")
#define STR_MOBILE_HOTSPOT	_("IDS_MOBILEAP_MBODY_MOBILE_HOTSPOT")
#define STR_WIFI_TETH		_("IDS_MOBILEAP_MBODY_WI_FI_TETHERING")
#define STR_WIFI_TETH_SETTING		_("IDS_MOBILEAP_MBODY_WI_FI_TETHERING_SETTINGS")
#define IDS_WIFI_TETH_SETTING		"IDS_MOBILEAP_MBODY_WI_FI_TETHERING_SETTINGS"
#define STR_BLUETOOTH_TETH		_("IDS_MOBILEAP_BODY_BLUETOOTH_TETHERING")
#define STR_USB_TETH		_("IDS_MOBILEAP_MBODY_USB_TETHERING")
#define STR_SECURITY_TYPE_PS		_("IDS_ST_BODY_SECURITY_TYPE_C_PS")
#define STR_MOBILE_HOTSPOT_IS_HIDDEN	_("IDS_MOBILEAP_BODY_MOBILE_HOTSPOT_IS_HIDDEN")
#define STR_WIFI_TETH_HIDDEN		_("IDS_MOBILEAP_BODY_WI_FI_TETHERING_HIDDEN")
#define STR_DEV_NAME		_("IDS_MOBILEAP_BODY_DEVICE_NAME")
#define STR_PASSWORD		_("IDS_MOBILEAP_BODY_PASSWORD")
#define STR_CONNECTED_DEV	_("IDS_MOBILEAP_BODY_CONNECTED_DEVICE")
#define STR_MB	_("IDS_MOBILEAP_BODY_PD_MB")
#define STR_KB	_("IDS_MOBILEAP_BODY_PD_KB")
#define STR_BYTE		_("IDS_MOBILEAP_BODY_PD_BYTES")
#define STR_DATA_USED	_("IDS_MOBILEAP_BODY_DATA_USED_C_PS_ABB")
#define STR_DATA_USAGE		_("IDS_MOBILEAP_MBODY_DATA_USAGE")
#define STR_TETH	("IDS_MOBILEAP_BODY_TETHERING")
#define IDS_TETH	"IDS_MOBILEAP_HEADER_HOTSPOT_AND_TETHERING_ABB"
#define STR_MY_DEVICE_NAME _("IDS_ST_HEADER_MY_DEVICE_NAME")
#define STR_HIDE_MY_DEV	_("IDS_MOBILEAP_BODY_HIDE_MY_DEVICE")
#define STR_SECURITY_TYPE		_("IDS_MOBILEAP_BODY_SECURITY")
#define STR_ABT_PHONE	_("IDS_ST_BODY_ABOUT_PHONE")
#define STR_DEV_NAME_CAN_BE_CHANGE		_("IDS_MOBILEAP_BODY_DEVICE_NAME_CAN_BE_CHANGED_IN_PS")
#define STR_PASSWORD_8_CHAR		_("IDS_ST_BODY_ENTER_PASSWORD_OF_AT_LEAST_8_CHARACTERS")
#define STR_PASSWORD_MIN_MAX		_("IDS_MOBILEAP_POP_PASSWORD_MUST_CONTAIN_AT_LEAST_PD_CHARACTERS_AND_NOT_EXCEED_PD_CHARACTERS")
#define STR_SHOW_PASSWORD _("IDS_WIFI_OPT_SHOW_PASSWORD")
#define STR_RENAME_DEVICE_HEADER		_("IDS_ST_HEADER_RENAME_DEVICE")
#define STR_RENAME_DEVICE_MSG	_("IDS_ST_POP_DEVICE_NAMES_ARE_DISPLAYED_TO_DISTINGUISH_EACH_OF_THE_DEVICES_AVAILABLE_MSG")
#define STR_RENAME_WARN_MSG		"You can use only letters, numbers, and special characters in your device name."
#define STR_RENAME_DEVICE		("IDS_ST_SK_RENAME")
#define STR_MAX_CHAR_LENGTH_REACHED _("IDS_WIFI_TPOP_MAXIMUM_NUMBER_OF_CHARACTERS_PD_REACHED")
#define STR_DEVICE_NAME		("IDS_MOBILEAP_BODY_DEVICE_NAME")
#define STR_NO_NET_CONN		("IDS_MSG_HEADER_NO_NETWORK_CONNECTION")
#define STR_CONN_NET	("IDS_BR_MBODY_CONNECT_TO_MOBILE_NETWORK")
#define STR_INSERT_SIM_CARD		_("IDS_MOBILEAP_HEADER_INSERT_SIM_CARD_ABB")
#define STR_DISABLE_AIRPLANE_MODE		_("IDS_MOBILEAP_HEADER_DISABLE_FLIGHT_MODE_ABB")
#define STR_CONN_TO_MOB_NET		("IDS_MOBILEAP_HEADER_CONNECT_TO_MOBILE_NETWORK_ABB")
#define STR_ENABLE		("IDS_ST_BUTTON_ENABLE_M_USE")
#define STR_TETH_FAILED		("IDS_MOBILEAP_HEADER_TETHERING_FAILED_ABB")
#define STR_UNABLE_TO_USE_TETH_HEADER		("IDS_MOBILEAP_HEADER_UNABLE_TO_USE_TETHERING_ABB")
#define STR_CONNECT_USB		("IDS_MOBILEAP_HEADER_CONNECT_USB_CABLE_ABB")
#define STR_CONN_DEVICES ("IDS_WIFI_HEADER_CONNECTED_DEVICES")
#define STR_SIM_CARD_ERROR ("MIDS_SWALL_HEADER_SIM_CARD_ERROR_OCCURRED_ABB")
#define STR_PW_GUIDE_TEXT _("MIDS_CHATON_BODY_AT_LEAST_PD_CHARACTERS_ABB")
#define STR_PW_MAX_LEN_WARN_MSG _("IDS_WIFI_TPOP_MAXIMUM_NUMBER_OF_CHARACTERS_PD_REACHED")
#define STR_TURN_OFF ("IDS_COM_BODY_TURN_OFF")
#define STR_FLIGHT_MODE_HEADER ("IDS_ST_MBODY_FLIGHT_MODE_ABB")
#define STR_CONNECT_USB_MSG ("IDS_MOBILEAP_POP_CONNECT_USB_CABLE")
#define STR_DATA_USAGE_LIMIT_REACHED ("IDS_ST_HEADER_DATA_USAGE_LIMIT_REACHED_ABB2")
#define STR_CONFIGURE_MOBILE_HOTSPOT _("IDS_MOBILEAP_BODY_CONFIGURE_MOBILE_HOTSPOT_ABB_US_TMO")
#define STR_ENTER_THE_PASSWORD_ON_THE_OTHER_DEVICE _("IDS_MOBILEAP_BODY_ENTER_THE_PASSWORD_ON_THE_OTHER_DEVICE")

/* System string */
#define STR_YES		_("IDS_BR_SK_YES")
#define STR_NO		_("IDS_BR_SK_NO")
#define STR_OK		("IDS_COM_SK_OK")
#define STR_NAVI_CANCEL "IDS_TPLATFORM_ACBUTTON_CANCEL_ABB"
#define STR_NAVI_DONE	"IDS_TPLATFORM_ACBUTTON_DONE_ABB"
#define STR_CANCEL		("IDS_BR_SK_CANCEL")
#define STR_SAVE		S_("IDS_COM_SK_SAVE")
#define STR_NO_NAME		S_("IDS_COM_BODY_NO_NAME")
#define STR_HELP		S_("IDS_COM_BODY_HELP")
#define STR_SETTING		"IDS_ST_BODY_SETTINGS"
#define STR_ENTER_PASSWORD	S_("IDS_COM_BODY_ENTER_PASSWORD")

#endif
